Ticket #31494

Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Galois/Counter Mode対応

Open Date: 2013-06-03 16:03 Last Update: 2017-11-30 07:36

Reporter: doda Owner: doda
Type: Feature Requests Status: Closed
Component: TTSSH MileStone: Tera Term 4.97 (closed)
Priority: 7 Severity: 5 - Medium
Resolution: Fixed

Details

ブロック暗号モードおよび MAC 方式としての Galois/Counter Mode への対応。

以下の方式で、上の物ほど対応優先度高

  • OpenSSH 6.2 でサポートされた aes128-gcm@openssh.com/aes256-gcm@openssh.com
  • RFC5647 の AEAD_AES_128_GCM/AEAD_AES_256_GCM
  • draft-kanno-secsh-camellia-02 の AEAD_CAMELLIA_128_GCM/AEAD_CAMELLIA_256_GCM
  • AEAD_CAMELLIA_128_GCM/AEAD_CAMELLIA_256_GCM を aes128-gcm@openssh.com 風に変更したもの

Attachment File List

No attachments

Ticket History (3/4 Histories)

2013-06-03 16:03 Updated by: doda
  • New Ticket "Galois/Counter Mode対応" created
2017-11-02 10:20 Updated by: doda
  • Milestone Update from (None) to Tera Term 4.97 (closed)
  • Owner Update from (None) to doda
  • Resolution Update from None to Accepted
  • Priority Update from 5 - Medium to 7
  • Details Updated
Comment

現状を考えると、aes{128,256}-gcm@openssh.com のみ対応でいいかな。

2017-11-27 21:40 Updated by: doda
  • Resolution Update from Accepted to Fixed
  • Details Updated
Comment

r6985 で対応。

2017-11-30 07:36 Updated by: maya
  • Status Update from Open to Closed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login